package it.chros.csd;

import android.os.AsyncTask;

import com.stericson.RootTools.RootTools;

public class RootOK extends AsyncTask<MainActivity, Void, Boolean> {
	
	private MainActivity activity;

	@Override
	protected Boolean doInBackground(MainActivity... params) {
		
		activity = params[0];
		
		if (RootTools.isAccessGiven() && RootTools.isBusyboxAvailable()) {
			return true;
		}
		return false;		
	}
	
	@Override
	protected void onPostExecute(Boolean result) {
		if (result) {
			new CheckCameraSounds().execute(activity);
		} else {
			activity.fatalError(R.string.root_error_message);
		}
		
	}

}
